Pregunta sobre Super Progressive Web Apps de Wordpress:

Error de tipo MIME

Un usuario preguntó 👇

Hola,

Creo (no estoy seguro) que tengo un problema con SuperPWA.

Tengo este tipo de error en mi sitio web en la sección wp-admin:

Refused to apply style from '...' because its MIME type ('text/html') is not a supported stylesheet MIME type, and strict MIME checking is enabled.

Refused to execute script from '...' because its MIME type ('text/html') is not executable, and strict MIME type checking is enabled.

Llegué a la conclusión de que SuperPWA estaba involucrado porque cuando hice una «actualización forzada» (en Chrome: CTRL + MAJ + R), no hay ningún error. Pero, tan pronto como SuperPWA está activo y estoy recargando la página normalmente, aparecieron los errores.

¿Me puedes ayudar, por favor?

Todo lo mejor, Louis Cuvelier.

(@arunbasillal)

Hace 2 años, 7 meses

Hola louis

SuperPWA no hace nada en el administrador de WordPress y está excluido, como puede ver aquí: https://github.com/SuperPWA/Super-Progressive-Web-Apps/blob/10cd1b7dcf675a8f63a169a6bcb5d29a8c82a31a/public/sw.php#L108

Una prueba positiva que desactivaría temporalmente SuperPWA y también eliminaría el service worker instalado en su navegador.

Puede hacer esto yendo a Herramientas de desarrollo de Chrome> pestaña Aplicación> Trabajadores del servicio> Anular registro> Cerrar pestaña y volver a abrir o reiniciar el navegador y ver si el error persiste. Tenga en cuenta que es muy importante reiniciar la pestaña.

Déjame saber como va. Todo lo mejor.

(@louiscuvelier)

Hace 2 años, 7 meses

Hola Arun,

Lamento decirte que cuando desactivo SuperPWA y borro el SW, funciona sin ningún error. 😕

Todo lo mejor

Esta respuesta fue modificada hace 2 años, 7 meses. Esta respuesta fue modificada hace 2 años, 7 meses.

(@arunbasillal)

Hace 2 años, 7 meses

Ya veo, me pregunto por qué.

¿Cómo puedo replicar este error al final? ¿Qué plugins debo usar y qué debo hacer?

El navegador es el último de Chrome, creo.

(@louiscuvelier)

Hace 2 años, 7 meses

Estoy en la versión 66.0.3359.170 de Chrome.

El error es especialmente preocupante cuando quiero editar una página / publicación porque agregó por error los dos plugins que uso ThirstyAffiliates (https://wordpress.org/plugins/thirstyaffiliates/) y Ad Inserter (https: / / wordpress .org / plugins / ad-inserter /).

También estoy usando Autoptimize (https://wordpress.org/plugins/autoptimize/) y CloudFlare.

Esta respuesta fue modificada hace 2 años, 7 meses.

(@arunbasillal)

Hace 2 años, 6 meses

Hey Louis,

Lamento no haber tenido la oportunidad de volver a esto antes.

Noté esta publicación: https://wordpress.org/support/topic/refused-to-execute-script-because-its-mime-type-is-not-executable-2/#post-10263396

¿Eso significa ahora que es bueno? Házmelo saber.

(@louiscuvelier)

Hace 2 años, 6 meses

Oye Arun,

Realmente no. Pensé que estaba arreglado, pero en realidad no porque el problema venga de SuperPWA.

(@arunbasillal)

Hace 2 años, 6 meses

No soy consciente de este error y, según lo leído en línea, creo que se debe a que el tipo de contenido en el archivo es texto / html cuando debería ser funcional / javascript.

Dado que SuperPWA no se mete con ese tipo de contenido, no estoy seguro de lo que está pasando aquí.

¿Deshabilitar Cloudflare temporalmente no ayudó? ¿Está habilitado el cargador de cohetes?

(@louiscuvelier)

Hace 2 años, 6 meses

Probé Rocket Loader Off y CloudFlare deshabilitado. Nada cambiará, tengo el mismo problema …

¿Solucionó tu problema??

0 / 0

Deja una respuesta 0

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *